Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.charging
Class ChargingManager2

    java.lang.Object
      hr.tis.mgw.client.common.AbstractManager2
          hr.tis.mgw.client.charging.ChargingManager2

Direct Known Subclasses:
  ChargingManager2Impl

public abstract class ChargingManager2
extends AbstractManager2

Charging interface. Support various operations for charging and reserving funds based on amount or volume. Please contact mobile operator for supported methods.

Constructor Summary
`ChargingManager2()`

Method Summary
`abstract void` | `chargeAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode)` Charge amount to user.
`abstract void` | `chargeAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Charge amount to user.
`abstract void` | `chargeAmountReservation(Charging charging, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode)` Charge amount reservation to user.
`abstract void` | `chargeAmountReservation(Charging charging, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Charge amount reservation to user.
`abstract void` | `chargeVolume(java.lang.String user, long volume, java.lang.String billingText, java.lang.String referenceCode)` Charge volume to user.
`abstract void` | `chargeVolume(java.lang.String user, long volume, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Charge volume to user.
`abstract void` | `chargeVolumeReservation(Charging charging, long volume, java.lang.String billingText, java.lang.String referenceCode)` Charge volume reservation to user.
`abstract void` | `chargeVolumeReservation(Charging charging, long volume, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Charge volume reservation to user.
`abstract java.math.BigDecimal` | `getAmount(java.lang.String user, long volume)` Get amount from volume.
`abstract java.math.BigDecimal` | `getAmount(java.lang.String user, long volume, java.lang.String username, java.lang.String password)` Get amount from volume.
`abstract java.math.BigDecimal` | `getReservationAmount(java.lang.String user, long volume)` Get amount from volume for reservation.
`abstract java.math.BigDecimal` | `getReservationAmount(java.lang.String user, long volume, java.lang.String username, java.lang.String password)` Get amount from volume for reservation.
`abstract void` | `refundAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode)` Refund amount to user.
`abstract void` | `refundAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Refund amount to user.
`abstract void` | `refundVolume(java.lang.String user, long volume, java.lang.String billingText, java.lang.String referenceCode)` Refund volume to user.
`abstract void` | `refundVolume(java.lang.String user, long volume, java.lang.String billingText, java.lang.String referenceCode, java.lang.String username, java.lang.String password)` Refund volume to user.
`abstract void` | `releaseAmountReservation(Charging charging)` Release reservation.
`abstract void` | `releaseAmountReservation(Charging charging, java.lang.String username, java.lang.String password)` Release reservation.
`abstract void` | `releaseVolumeReservation(Charging charging)` Release reservation.
`abstract void` | `releaseVolumeReservation(Charging charging, java.lang.String username, java.lang.String password)` Release reservation.
`abstract void` | `reserveAdditionalAmount(Charging charging, java.math.BigDecimal amount, java.lang.String billingText)` Reserve additional amount to previous amount reservation.
`abstract void` | `reserveAdditionalAmount(Charging charging, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String username, java.lang.String password)` Reserve additional amount to previous amount reservation.
`abstract void` | `reserveAdditionalVolume(Charging charging, long volume, java.lang.String billingText)` Reserve additional volume to previous volume reservation.
`abstract void` | `reserveAdditionalVolume(Charging charging, long volume, java.lang.String billingText, java.lang.String username, java.lang.String password)` Reserve additional volume to previous volume reservation.
`abstract Charging` | `reserveAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText)` Reserve amount to be charged to user.
`abstract Charging` | `reserveAmount(java.lang.String user, java.math.BigDecimal amount, java.lang.String billingText, java.lang.String username, java.lang.String password)` Reserve amount to be charged to user.
`abstract Charging` | `reserveVolume(java.lang.String user, long volume, java.lang.String billingText)` Reserve volume to be charged to user.
`abstract Charging` | `reserveVolume(java.lang.String user, long volume, java.lang.String billingText, java.lang.String username, java.lang.String password)` Reserve volume to be charged to user.

Methods inherited from class hr.tis.mgw.client.common.AbstractManager2
`getPassword, getServerURL, getTimeout, getUsername, isThreadedListener, setPassword, setServerURL, setThreadedListener, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChargingManager2

    public ChargingManager2()

Method Detail

### chargeAmount

    public abstract void chargeAmount(java.lang.String user,
                                      java.math.BigDecimal amount,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode)
                               throws GatewayException

  Charge amount to user. Use default username and password for authentication.

  Parameters:
    `user` - User account to be charged
    `amount` - Amount to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeAmount

    public abstract void chargeAmount(java.lang.String user,
                                      java.math.BigDecimal amount,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode,
                                      java.lang.String username,
                                      java.lang.String password)
                               throws GatewayException

  Charge amount to user. Specify username and password for authentication.

  Parameters:
    `user` - User account to be charged
    `amount` - Amount to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### refundAmount

    public abstract void refundAmount(java.lang.String user,
                                      java.math.BigDecimal amount,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode)
                               throws GatewayException

  Refund amount to user. Use default username and password for authentication.

  Parameters:
    `user` - User account to refund funds to
    `amount` - Amount to refund
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### refundAmount

    public abstract void refundAmount(java.lang.String user,
                                      java.math.BigDecimal amount,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode,
                                      java.lang.String username,
                                      java.lang.String password)
                               throws GatewayException

  Refund amount to user. Specify username and password for authentication.

  Parameters:
    `user` - User account to refund funds to
    `amount` - Amount to refund
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeVolume

    public abstract void chargeVolume(java.lang.String user,
                                      long volume,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode)
                               throws GatewayException

  Charge volume to user. Use default username and password for authentication.

  Parameters:
    `user` - User account to be charged
    `volume` - Volume to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeVolume

    public abstract void chargeVolume(java.lang.String user,
                                      long volume,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode,
                                      java.lang.String username,
                                      java.lang.String password)
                               throws GatewayException

  Charge volume to user. Specify username and password for authentication.

  Parameters:
    `user` - User account to be charged
    `volume` - Volume to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### refundVolume

    public abstract void refundVolume(java.lang.String user,
                                      long volume,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode)
                               throws GatewayException

  Refund volume to user. Use default username and password for authentication.

  Parameters:
    `user` - User account to refund funds to
    `volume` - Volume to refund
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### refundVolume

    public abstract void refundVolume(java.lang.String user,
                                      long volume,
                                      java.lang.String billingText,
                                      java.lang.String referenceCode,
                                      java.lang.String username,
                                      java.lang.String password)
                               throws GatewayException

  Refund volume to user. Specify username and password for authentication.

  Parameters:
    `user` - User account to refund funds to
    `volume` - Volume to refund
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### getAmount

    public abstract java.math.BigDecimal getAmount(java.lang.String user,
                                                   long volume)
                                            throws GatewayException

  Get amount from volume. Use default username and password for authentication.

  Parameters:
    `user` - User account for which conversion is required
    `volume` - Volume to convert to amount
  Returns:
    Amount to charge
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### getAmount

    public abstract java.math.BigDecimal getAmount(java.lang.String user,
                                                   long volume,
                                                   java.lang.String username,
                                                   java.lang.String password)
                                            throws GatewayException

  Get amount from volume. Specify username and password for authentication.

  Parameters:
    `user` - User account for which conversion is required
    `volume` - Volume to convert to amount
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Amount to charge
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAmount

    public abstract Charging reserveAmount(java.lang.String user,
                                           java.math.BigDecimal amount,
                                           java.lang.String billingText)
                                    throws GatewayException

  Reserve amount to be charged to user. Use default username and password for authentication.

  Parameters:
    `user` - User account for which reservation is required
    `amount` - Amount to reserve
    `billingText` - Text to appear on the bill
  Returns:
    Charging class holding reservation identifier
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAmount

    public abstract Charging reserveAmount(java.lang.String user,
                                           java.math.BigDecimal amount,
                                           java.lang.String billingText,
                                           java.lang.String username,
                                           java.lang.String password)
                                    throws GatewayException

  Reserve amount to be charged to user. Specify username and password for authentication.

  Parameters:
    `user` - User account for which reservation is required
    `amount` - Amount to reserve
    `billingText` - Text to appear on the bill
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Charging class holding reservation identifier
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAdditionalAmount

    public abstract void reserveAdditionalAmount(Charging charging,
                                                 java.math.BigDecimal amount,
                                                 java.lang.String billingText)
                                          throws GatewayException

  Reserve additional amount to previous amount reservation. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
    `amount` - Amount to add to reservation
    `billingText` - Text to appear on the bill
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAdditionalAmount

    public abstract void reserveAdditionalAmount(Charging charging,
                                                 java.math.BigDecimal amount,
                                                 java.lang.String billingText,
                                                 java.lang.String username,
                                                 java.lang.String password)
                                          throws GatewayException

  Reserve additional amount to previous amount reservation. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
    `amount` - Amount to add to reservation
    `billingText` - Text to appear on the bill
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeAmountReservation

    public abstract void chargeAmountReservation(Charging charging,
                                                 java.math.BigDecimal amount,
                                                 java.lang.String billingText,
                                                 java.lang.String referenceCode)
                                          throws GatewayException

  Charge amount reservation to user. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
    `amount` - Amount to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeAmountReservation

    public abstract void chargeAmountReservation(Charging charging,
                                                 java.math.BigDecimal amount,
                                                 java.lang.String billingText,
                                                 java.lang.String referenceCode,
                                                 java.lang.String username,
                                                 java.lang.String password)
                                          throws GatewayException

  Charge amount reservation to user. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
    `amount` - Amount to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### releaseAmountReservation

    public abstract void releaseAmountReservation(Charging charging)
                                           throws GatewayException

  Release reservation. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### releaseAmountReservation

    public abstract void releaseAmountReservation(Charging charging,
                                                  java.lang.String username,
                                                  java.lang.String password)
                                           throws GatewayException

  Release reservation. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous amount reservation
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveVolume

    public abstract Charging reserveVolume(java.lang.String user,
                                           long volume,
                                           java.lang.String billingText)
                                    throws GatewayException

  Reserve volume to be charged to user. Use default username and password for authentication.

  Parameters:
    `user` - User account for which reservation is required
    `volume` - Volume to reserve
    `billingText` - Text to appear on the bill
  Returns:
    Charging class holding reservation identifier
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveVolume

    public abstract Charging reserveVolume(java.lang.String user,
                                           long volume,
                                           java.lang.String billingText,
                                           java.lang.String username,
                                           java.lang.String password)
                                    throws GatewayException

  Reserve volume to be charged to user. Specify username and password for authentication.

  Parameters:
    `user` - User account for which reservation is required
    `volume` - Volume to reserve
    `billingText` - Text to appear on the bill
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Charging class holding reservation identifier
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAdditionalVolume

    public abstract void reserveAdditionalVolume(Charging charging,
                                                 long volume,
                                                 java.lang.String billingText)
                                          throws GatewayException

  Reserve additional volume to previous volume reservation. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
    `volume` - Volume to add to reservation
    `billingText` - Text to appear on the bill
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### reserveAdditionalVolume

    public abstract void reserveAdditionalVolume(Charging charging,
                                                 long volume,
                                                 java.lang.String billingText,
                                                 java.lang.String username,
                                                 java.lang.String password)
                                          throws GatewayException

  Reserve additional volume to previous volume reservation. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
    `volume` - Volume to add to reservation
    `billingText` - Text to appear on the bill
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeVolumeReservation

    public abstract void chargeVolumeReservation(Charging charging,
                                                 long volume,
                                                 java.lang.String billingText,
                                                 java.lang.String referenceCode)
                                          throws GatewayException

  Charge volume reservation to user. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
    `volume` - Volume to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### chargeVolumeReservation

    public abstract void chargeVolumeReservation(Charging charging,
                                                 long volume,
                                                 java.lang.String billingText,
                                                 java.lang.String referenceCode,
                                                 java.lang.String username,
                                                 java.lang.String password)
                                          throws GatewayException

  Charge volume reservation to user. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
    `volume` - Volume to charge
    `billingText` - Text to appear on the bill
    `referenceCode` - Code that uniquely identify request
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### releaseVolumeReservation

    public abstract void releaseVolumeReservation(Charging charging)
                                           throws GatewayException

  Release reservation. Use default username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### releaseVolumeReservation

    public abstract void releaseVolumeReservation(Charging charging,
                                                  java.lang.String username,
                                                  java.lang.String password)
                                           throws GatewayException

  Release reservation. Specify username and password for authentication.

  Parameters:
    `charging` - Charging obtained from previous volume reservation
    `username` - Authentication username
    `password` - Authentication password
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getReservationAmount

    public abstract java.math.BigDecimal getReservationAmount(java.lang.String user,
                                                              long volume)
                                                       throws GatewayException

  Get amount from volume for reservation. Use default username and password for authentication.

  Parameters:
    `user` - User account for which conversion is required
    `volume` - Volume to convert to amount
  Returns:
    Amount to reserve
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

### getReservationAmount

    public abstract java.math.BigDecimal getReservationAmount(java.lang.String user,
                                                              long volume,
                                                              java.lang.String username,
                                                              java.lang.String password)
                                                       throws GatewayException

  Get amount from volume for reservation. Specify username and password for authentication.

  Parameters:
    `user` - User account for which conversion is required
    `volume` - Volume to convert to amount
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Amount to reserve
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `GatewayException`, `hr.tis.mgw.client.exceptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.